0

I'm following How to create a bootable installer for macOS guide by Apple, but it's giving me an error. When I execute

sudo /Applications/Install\ macOS\ Catalina.app/Contents/Resources/createinstallmedia --volume /Volumes/disco

It gives me this:

dyld: Library not loaded: @executable_path/../Frameworks/IAESD.framework/Versions/A/IAESD
  Referenced from: /Applications/Install macOS Catalina.app/Contents/Resources/createinstallmedia
  Reason: no suitable image found.  Did find:
    /Applications/Install macOS Catalina.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD: mmap() error 1 at address=0x103C4F000, size=0x00006000 segment=__TEXT in Segment::map() mapping /Applications/Install macOS Catalina.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD
    /Applications/Install macOS Catalina.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD: mmap() error 1 at address=0x103C65000, size=0x00006000 segment=__TEXT in Segment::map() mapping /Applications/Install macOS Catalina.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD
ADMINs-MBP-2:~ ADMIN$ 

I'm using OS X Yosemite 10.10.5 on a Macbook Pro 2015.

The USB device is a 1TB External Hard Drive, Mac OS Extended formatted.

1
  • I would advise first upgrading to High Sierra, then upgrade to Catalina. The reason for this is High Sierra will upgrade the Mac firmware to allow booting from APFS. Catalina can only boot from APFS volumes, where as High Sierra can boot from APFS and legacy JHFS+ volumes. – David Anderson Apr 15 '20 at 23:38
0

Encountered this very same issue on my MacBook with Yosemite (10.10.5)

sudo /Applications/Install\ macOS\ Big\ Sur.app/Contents/Resources/createinstallmedia --volume /Volumes/MyVolume

dyld: Library not loaded: @executable_path/../Frameworks/IAESD.framework/Versions/A/IAESD
  Referenced from: /Applications/Install macOS Big Sur.app/Contents/Resources/createinstallmedia
  Reason: no suitable image found.  Did find:
    /Applications/Install macOS Big Sur.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD: mmap() error 1 at address=0x1021F8000, size=0x00008000 segment=__TEXT in Segment::map() mapping /Applications/Install macOS Big Sur.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD
    /Applications/Install macOS Big Sur.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD: mmap() error 1 at address=0x102211000, size=0x00008000 segment=__TEXT in Segment::map() mapping /Applications/Install macOS Big Sur.app/Contents/Resources/../Frameworks/IAESD.framework/Versions/A/IAESD

However the very same command on my newer MacBook with Sierra (10.12.6) just runs fine! I suggest building USB install disks from newer macOS if possible.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .